Bug 1131612 - [GSS] (6.4.0) PickletLink IdP Filter eating cookies added to response by other filters
Summary: [GSS] (6.4.0) PickletLink IdP Filter eating cookies added to response by othe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR4
: EAP 6.4.0
Assignee: Peter Skopek
QA Contact: Ondrej Kotek
URL:
Whiteboard:
Depends On:
Blocks: 1123426 1131582
TreeView+ depends on / blocked
 
Reported: 2014-08-19 16:29 UTC by Derek Horton
Modified: 2019-08-19 12:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1131582
Environment:
Last Closed: 2019-08-19 12:38:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker PLINK-529 Major Resolved PickletLink IdP Filter eating cookies added to response by other filters 2016-06-29 02:25:41 UTC

Description Derek Horton 2014-08-19 16:29:39 UTC
+++ This bug was initially created as a clone of Bug #1131582 +++

Description of problem:

PickletLink IdP Filter eating cookies added to response by other filters

Steps to Reproduce:
1. create a filter that adds a cookie to the httpServletResponse (response.addCookie(...))
2. ensure that you are using IDPfilter

Regardless of which is mapped first (cookie filter or idpFilter), the cookies you add to the response will not be returned to the browser. Simply commenting out the IdPFilter mapping will allow the cookies to be properly returned to the browser.

This behavior appears to happen without regard to the presence of a SAML assertion in the incoming request (ie. it doesn't matter if you directly access the IdP or are redirected there from a trusted SP).

Comment 1 Derek Horton 2014-08-19 17:16:10 UTC
Upstream PR:
https://github.com/picketlink/picketlink/pull/372

Comment 2 JBoss JIRA Server 2014-08-25 15:55:03 UTC
Pedro Igor <pigor.craveiro@gmail.com> updated the status of jira PLINK-529 to Resolved

Comment 3 Kabir Khan 2014-10-03 16:22:12 UTC
I believe this should be fixed by the SP11 upgrade in 1123426

Comment 4 Ondrej Kotek 2014-10-10 09:22:48 UTC
The fix does not work for me. For JBoss EAP 6.4.0.DR4:
  * a test filter is called twice (unlike JBoss EAP 6.3.0)
  * cookies created in the filter are not returned to the browser for base URI (like JBoss EAP 6.3.0)

See BZ 1133099. Backport of PLINK-558 helped. There is manual reproducer available.

Comment 5 Ondrej Kotek 2014-10-13 09:51:38 UTC
BZ 1123426 (Upgrade PicketLink from 2.5.3.SP10-redhat-1 to 2.5.3.SP11-x) is verified but included commits are in wrong order. PLINK-558 commit is the important one and should be placed as the last one.

Comment 6 Ondrej Kotek 2015-01-26 11:39:04 UTC
Verified for JBoss EAP 6.4.0.DR7, like BZ 1122717.


Note You need to log in before you can comment on or make changes to this bug.